FreeMat

- Main Page
- Related Pages

vtkExtractPiece

Section: Visualization Toolkit Parallel Classes

# Usage

vtkExtractPiece returns the appropriate piece of each sub-dataset in the vtkCompositeDataSet. This filter can handle sub-datasets of type vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid; it does not handle sub-grids of type vtkCompositeDataSet.

To create an instance of class vtkExtractPiece, simply invoke its constructor as follows

      obj = vtkExtractPiece

# Methods

The class vtkExtractPiece has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractPiece class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractPiece = obj.NewInstance ()`
- `vtkExtractPiece = obj.SafeDownCast (vtkObject o)`